Bug 683684 - Review Request: dtrx - Intelligent archive extractor
Summary: Review Request: dtrx - Intelligent archive extractor
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 01:39 UTC by Sergio Belkin
Modified: 2012-07-05 23:40 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-12 21:24:27 UTC
pikachu.2014: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Belkin 2011-03-10 01:39:18 UTC
Spec URL: http://sebelk.fedorapeople.org/dtrx.spec
SRPM URL: http://sebelk.fedorapeople.org/dtrx-7.0-1.fc14.src.rpm
Description:

dtrx is a simple but powerful python script that works as a front-end for a lot of archivers. It can do recursive extraction, for example extract tarballs from source rpms.
dtrx extracts archives in a number of different formats; it currently
supports tar, zip (including self-extracting .exe files), cpio, rpm, deb,
gem, 7z, cab, rar (unrar is on a third party repository),
and InstallShield files.  It can also decompress files
compressed with gzip, bzip2, lzma, xz, or compress.

In addition to providing one command to handle many different archive
types, dtrx also aids the user by extracting contents consistently.  By
default, everything will be written to a dedicated directory that's named
after the archive.  dtrx will also change the permissions to ensure that the
owner can read and write all those files.

Comment 1 Mohamed El Morabity 2011-03-11 13:08:37 UTC
I will review your package.

Comment 2 Mohamed El Morabity 2011-03-11 13:30:34 UTC
The package looks quite good. Anyway maybe you should remove this phrase:
   « (unrar is on a third party repository) »
Officially the Project isn't aware of any repository than its own. Perhaps something like instead
   « (if unrar is installed) ».

Comment 3 Sergio Belkin 2011-03-11 22:00:38 UTC
(In reply to comment #2)
> The package looks quite good. Anyway maybe you should remove this phrase:
>    « (unrar is on a third party repository) »
> Officially the Project isn't aware of any repository than its own. Perhaps
> something like instead
>    « (if unrar is installed) ».

Thanks Mohamed,

New files URL's:

Spec URL: http://sebelk.fedorapeople.org/dtrx.spec
SRPM URL: http://sebelk.fedorapeople.org/dtrx-7.0-2.fc14.src.rpm

Thanks for your adviced, done it!

Comment 4 Mohamed El Morabity 2011-03-16 00:24:46 UTC
Great :)
This should be OK. Only one test failed in %check, but it tries to download a distant archive to be tested. No matter here.
Here is the review.

MUST: rpmlint must be run on every package.
->OK, no serious warning

MUST: The package must be named according to the Package Naming Guidelines.
->OK

MUST: The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.
->OK

MUST: The package must meet the Packaging Guidelines.
->OK

MUST: The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.
->OK

MUST: The License field in the package spec file must match the actual license.
->OK

MUST: If (and only if) the source package includes the text of the license(s)
in
      its own file, then that file, containing the text of the license(s) for
      the package must be included in %doc.
->OK

MUST: The spec file must be written in American English.
->OK

MUST: The spec file for the package MUST be legible.
->OK

MUST: The sources used to build the package must match the upstream source, as
      provided in the spec URL.
->OK, md5sum = 8297bd906088aedee840a32450efb1a2

MUST: The package MUST successfully compile and build into binary rpms on at
      least one primary architecture.
->OK

MUST: If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.
->N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
      that are listed in the exceptions section of the Packaging Guidelines ;
      inclusion of those as BuildRequires is optional.
->NOK: rpm is already required by rpm-build, so it can be removed from the BuildRequires

MUST: The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
->N/A

MUST: Every binary RPM package (or subpackage) which stores shared library
files
      (not just symlinks) in any of the dynamic linker's default paths, must
      call ldconfig in %post and %postun.
->N/A

MUST: Packages must NOT bundle copies of system libraries.
->OK

MUST: If the package is designed to be relocatable, the packager must state
this
      fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.
->N/A

MUST: A package must own all directories that it creates. If it does not create
      a directory that it uses, then it should require a package which does
      create that directory.
>OK

MUST: A Fedora package must not list a file more than once in the spec file's
      %files listings. 
->OK

MUST: Permissions on files must be set properly. Executables should be set with
      executable permissions, for example. Every %files section must include a
      %defattr(...) line.
->OK

MUST: Each package must consistently use macros.
->OK

MUST: The package must contain code, or permissable content.
->OK

MUST: Large documentation files must go in a -doc subpackage.
->N/A

MUST: If a package includes something as %doc, it must not affect the runtime
of
      the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
->OK

MUST: Header files must be in a -devel package.
->N/A

MUST: Static libraries must be in a -static package.
->N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.
->N/A

MUST: In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.
->N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.
->N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.
->N/A

MUST: Packages must not own files or directories already owned by other
      packages.
->OK

MUST: All filenames in rpm packages must be valid UTF-8.
->OK

Two small issues anyway:
* You could remove p7zip from the BuildRequires, since it is already required by p7zip-plugins
* you could also remove, as said above, rpm from the BR, since it is already required by rpm-build which is part of the minimum build env. (see http://fedoraproject.org/wiki/PackagingGuidelines#Exceptions_2)

Anyway this package is APPROVED. I trust you to fix the issues above before import. :)

Comment 5 Sergio Belkin 2011-03-16 21:51:59 UTC
Hi Mohamed!

(In reply to comment #4)
> Great :)
> This should be OK. Only one test failed in %check, but it tries to download a
> distant archive to be tested. No matter here.
> Here is the review.
> 
> MUST: rpmlint must be run on every package.
> ->OK, no serious warning
> 
> MUST: The package must be named according to the Package Naming Guidelines.
> ->OK
> 
> MUST: The spec file name must match the base package %{name}, in the format
>       %{name}.spec unless your package has an exemption.
> ->OK
> 
> MUST: The package must meet the Packaging Guidelines.
> ->OK
> 
> MUST: The package must be licensed with a Fedora approved license and meet the
>       Licensing Guidelines.
> ->OK
> 
> MUST: The License field in the package spec file must match the actual license.
> ->OK
> 
> MUST: If (and only if) the source package includes the text of the license(s)
> in
>       its own file, then that file, containing the text of the license(s) for
>       the package must be included in %doc.
> ->OK
> 
> MUST: The spec file must be written in American English.
> ->OK
> 
> MUST: The spec file for the package MUST be legible.
> ->OK
> 
> MUST: The sources used to build the package must match the upstream source, as
>       provided in the spec URL.
> ->OK, md5sum = 8297bd906088aedee840a32450efb1a2
> 
> MUST: The package MUST successfully compile and build into binary rpms on at
>       least one primary architecture.
> ->OK
> 
> MUST: If the package does not successfully compile, build or work on an
>       architecture, then those architectures should be listed in the spec in
>       ExcludeArch.
> ->N/A
> 
> MUST: All build dependencies must be listed in BuildRequires, except for any
>       that are listed in the exceptions section of the Packaging Guidelines ;
>       inclusion of those as BuildRequires is optional.
> ->NOK: rpm is already required by rpm-build, so it can be removed from the
> BuildRequires
> 
> MUST: The spec file MUST handle locales properly. This is done by using the
>       %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> ->N/A
> 
> MUST: Every binary RPM package (or subpackage) which stores shared library
> files
>       (not just symlinks) in any of the dynamic linker's default paths, must
>       call ldconfig in %post and %postun.
> ->N/A
> 
> MUST: Packages must NOT bundle copies of system libraries.
> ->OK
> 
> MUST: If the package is designed to be relocatable, the packager must state
> this
>       fact in the request for review, along with the rationalization for
>       relocation of that specific package. Without this, use of Prefix: /usr is
>       considered a blocker.
> ->N/A
> 
> MUST: A package must own all directories that it creates. If it does not create
>       a directory that it uses, then it should require a package which does
>       create that directory.
> >OK
> 
> MUST: A Fedora package must not list a file more than once in the spec file's
>       %files listings. 
> ->OK
> 
> MUST: Permissions on files must be set properly. Executables should be set with
>       executable permissions, for example. Every %files section must include a
>       %defattr(...) line.
> ->OK
> 
> MUST: Each package must consistently use macros.
> ->OK
> 
> MUST: The package must contain code, or permissable content.
> ->OK
> 
> MUST: Large documentation files must go in a -doc subpackage.
> ->N/A
> 
> MUST: If a package includes something as %doc, it must not affect the runtime
> of
>       the application. To summarize: If it is in %doc, the program must run
>       properly if it is not present.
> ->OK
> 
> MUST: Header files must be in a -devel package.
> ->N/A
> 
> MUST: Static libraries must be in a -static package.
> ->N/A
> 
> MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
>       then library files that end in .so (without suffix) must go in a -devel
>       package.
> ->N/A
> 
> MUST: In the vast majority of cases, devel packages must require the base
>       package using a fully versioned dependency: Requires: %{name} =
>       %{version}-%{release}.
> ->N/A
> 
> MUST: Packages must NOT contain any .la libtool archives, these must be removed
>       in the spec if they are built.
> ->N/A
> 
> MUST: Packages containing GUI applications must include a %{name}.desktop file,
>       and that file must be properly installed with desktop-file-install in the
>       %install section.
> ->N/A
> 
> MUST: Packages must not own files or directories already owned by other
>       packages.
> ->OK
> 
> MUST: All filenames in rpm packages must be valid UTF-8.
> ->OK
> 
> Two small issues anyway:
> * You could remove p7zip from the BuildRequires, since it is already required
> by p7zip-plugins

OK, I will remove it.

> * you could also remove, as said above, rpm from the BR, since it is already
> required by rpm-build which is part of the minimum build env. (see
> http://fedoraproject.org/wiki/PackagingGuidelines#Exceptions_2)

Oh Thanks point it, I skipped "There is no need to include the following packages *or their dependencies*"

> 
> Anyway this package is APPROVED. I trust you to fix the issues above before
> import. :)

Thanks Mohamed, in fact I'm fixing it and importing soon :)

Comment 6 Sergio Belkin 2011-03-16 22:01:10 UTC
New Package SCM Request
=======================
Package Name: dtrx
Short Description: Intelligent archive extractor
Owners: sebelk
Branches: f13 f14 f15
InitialCC:

Comment 7 Jason Tibbitts 2011-03-17 14:14:05 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-03-19 15:34:58 UTC
dtrx-7.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dtrx-7.0-3.fc15

Comment 9 Fedora Update System 2011-03-19 15:35:06 UTC
dtrx-7.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dtrx-7.0-3.fc14

Comment 10 Fedora Update System 2011-03-19 15:38:04 UTC
dtrx-7.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dtrx-7.0-3.fc13

Comment 11 Fedora Update System 2011-03-20 21:28:11 UTC
dtrx-7.0-3.fc13 has been pushed to the Fedora 13 testing repository.

Comment 12 Fedora Update System 2011-04-12 21:24:22 UTC
dtrx-7.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-04-12 21:28:56 UTC
dtrx-7.0-3.fc13 has been pushed to the Fedora 13 stable repository.

Comment 14 Fedora Update System 2011-04-15 21:37:23 UTC
dtrx-7.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2012-06-25 23:27:21 UTC
dtrx-7.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dtrx-7.1-2.fc16

Comment 16 Fedora Update System 2012-06-25 23:28:44 UTC
dtrx-7.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dtrx-7.1-2.fc17

Comment 17 Sergio Belkin 2012-06-25 23:36:55 UTC
New Package SCM Request
=======================
Package Name: dtrx
Short Description: Intelligent archive extractor
Owners: sebelk
Branches: el6
InitialCC:

Comment 18 Fedora Update System 2012-07-05 23:38:41 UTC
dtrx-7.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-07-05 23:40:15 UTC
dtrx-7.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.